# @file
#
# Copyright (C) ZIH, Technische Universitaet Dresden, Federal Republic of Germany, 2011-2012
# Copyright (C) Lawrence Livermore National Laboratories, United States of America, 2011-2012
#
# See the file LICENSE.txt in the package base directory for details
# 
# - Find OTOOL
# This module looks for OTOOL. 
# It will set the following variables:
#  OTOOL = the otool binary
#
# @author Joachim Protze
#

INCLUDE(FindPackageHandleStandardArgs)

FIND_PROGRAM (OTOOL NAMES otool PATH /usr/bin /bin /local/bin /usr/local/bin)
MARK_AS_ADVANCED(FORCE OTOOL)

find_package_handle_standard_args(OTOOL  DEFAULT_MSG OTOOL)